This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 697610 - plugin and resource group config views still use old Resource disambiguation mechanism
plugin and resource group config views still use old Resource disambiguation ...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0.Beta2
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2011-04-18 14:22 EDT by Ian Springer
Modified: 2013-09-03 12:56 EDT (History)
4 users (show)

See Also:
Fixed In Version: rhq4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 12:56:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2011-04-18 14:22:25 EDT
The following views still use the old mechanism:

- group resource config history view
- group resource config view/edit view
- group plugin config history view
- group plugin config view/edit view

grep for "DisambiguationReport" to find the usages.
Comment 1 Jay Shaughnessy 2011-04-18 17:27:22 EDT
commit 5d1d00ad19750612e86e6fc86a66bf4ae99c201a
Author: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Mon Apr 18 17:20:52 2011 -0400

Added ancestry based disambiguation to the necessary config editing. It's a bit different than the typical ListGrid approach as this is not a datasource based table but rather a form.  So, instead, grab the display values via an SLSB call.  No hover is available, if we feel we need that we may be able to add it later.
Comment 2 Mike Foley 2011-07-07 15:15:40 EDT
added BZ 719731 while verifying this  

https://bugzilla.redhat.com/show_bug.cgi?id=719731
Comment 3 Sunil Kondkar 2011-09-27 05:48:26 EDT
Tested on build#432 (Version: 4.1.0-SNAPSHOT Build Number: 8ada3a7)

Created a compatible group of RHQ Agent, however observed that 'Configuration' tab is not displayed in the compatible group view. Also tested this by creating a compatible group of Postgres server. No 'Configuration' tab is available in the compatible group.

There is an existing bug on this issue:

https://bugzilla.redhat.com/show_bug.cgi?id=739529
Comment 4 Mike Foley 2011-10-03 13:35:52 EDT
created a compat group of RHQ Agent, 10/3/2011 build.  observed the following:

1) i am seeing the configuration tab in the compat group view
2) group config history view ... has no ancestry column 

discussed with ips (definition of disambigutation, abscence of ancestry column on group configur history view) ...ok
Comment 6 Heiko W. Rupp 2013-09-03 12:56:25 EDT
Bulk closing of old issues that are in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.